libvisio::VSDOptionalFillStyle Struct Reference documentation

libvisio::VSDOptionalFillStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalFillStyle ()
| VSDOptionalFillStyle (const std::optional< Colour > &fgc, const std::optional< Colour > &bgc, const std::optional< unsigned char > &p, const std::optional< double > &fga, const std::optional< double > &bga, const std::optional< Colour > &sfgc, const std::optional< unsigned char > &shp, const std::optional< double > &shX, const std::optional< double > &shY, const std::optional< long > &qsFc, const std::optional< long > &qsSc, const std::optional< long > &qsFm, const std::optional< unsigned > &vCIn, const std::optional< unsigned > &vSIn)
| VSDOptionalFillStyle (const VSDOptionalFillStyle &style)=default
| ~VSDOptionalFillStyle ()
VSDOptionalFillStyle & | operator= (const VSDOptionalFillStyle &style)=default
void | override (const VSDOptionalFillStyle &style)

## Public Attributes
std::optional< Colour > | fgColour
std::optional< Colour > | bgColour
std::optional< unsigned char > | pattern
std::optional< double > | fgTransparency
std::optional< double > | bgTransparency
std::optional< Colour > | shadowFgColour
std::optional< unsigned char > | shadowPattern
std::optional< double > | shadowOffsetX
std::optional< double > | shadowOffsetY
std::optional< long > | qsFillColour
std::optional< long > | qsShadowColour
std::optional< long > | qsFillMatrix
std::optional< unsigned > | variationColorIndex
std::optional< unsigned > | variationStyleIndex

## Constructor & Destructor Documentation

## ◆ VSDOptionalFillStyle() [1/3]

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( |  | ) |
| inline

Referenced by operator=(), override(), and VSDOptionalFillStyle().

## ◆ VSDOptionalFillStyle() [2/3]

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( | const std::optional< Colour > & | fgc,
|  | const std::optional< Colour > & | bgc,
|  | const std::optional< unsigned char > & | p,
|  | const std::optional< double > & | fga,
|  | const std::optional< double > & | bga,
|  | const std::optional< Colour > & | sfgc,
|  | const std::optional< unsigned char > & | shp,
|  | const std::optional< double > & | shX,
|  | const std::optional< double > & | shY,
|  | const std::optional< long > & | qsFc,
|  | const std::optional< long > & | qsSc,
|  | const std::optional< long > & | qsFm,
|  | const std::optional< unsigned > & | vCIn,
|  | const std::optional< unsigned > & | vSIn )
| inline

## ◆ VSDOptionalFillStyle() [3/3]

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( | const VSDOptionalFillStyle & | style | ) |
| default

## ◆ ~VSDOptionalFillStyle()

libvisio::VSDOptionalFillStyle::~VSDOptionalFillStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

VSDOptionalFillStyle & libvisio::VSDOptionalFillStyle::operator= | ( | const VSDOptionalFillStyle & | style | ) |
| default

## ◆ override()

void libvisio::VSDOptionalFillStyle::override | ( | const VSDOptionalFillStyle & | style | ) |
| inline

## Member Data Documentation

## ◆ bgColour

std::optional<Colour> libvisio::VSDOptionalFillStyle::bgColour

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ bgTransparency

std::optional<double> libvisio::VSDOptionalFillStyle::bgTransparency

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ fgColour

std::optional<Colour> libvisio::VSDOptionalFillStyle::fgColour

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ fgTransparency

std::optional<double> libvisio::VSDOptionalFillStyle::fgTransparency

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ pattern

std::optional<unsigned char> libvisio::VSDOptionalFillStyle::pattern

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ qsFillColour

std::optional<long> libvisio::VSDOptionalFillStyle::qsFillColour

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ qsFillMatrix

std::optional<long> libvisio::VSDOptionalFillStyle::qsFillMatrix

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ qsShadowColour

std::optional<long> libvisio::VSDOptionalFillStyle::qsShadowColour

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowFgColour

std::optional<Colour> libvisio::VSDOptionalFillStyle::shadowFgColour

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowOffsetX

std::optional<double> libvisio::VSDOptionalFillStyle::shadowOffsetX

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowOffsetY

std::optional<double> libvisio::VSDOptionalFillStyle::shadowOffsetY

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowPattern

std::optional<unsigned char> libvisio::VSDOptionalFillStyle::shadowPattern

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ variationColorIndex

std::optional<unsigned> libvisio::VSDOptionalFillStyle::variationColorIndex

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ variationStyleIndex

std::optional<unsigned> libvisio::VSDOptionalFillStyle::variationStyleIndex

Referenced by override(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h